// components/HydrationGuard.js
'use client'
import { useEffect, useState } from 'react'

export default function HydrationGuard({ children }) {
    const [isHydrated, setIsHydrated] = useState(false)

    useEffect(() => {
        setIsHydrated(true)
    }, [])

    return isHydrated ? children : null
}